## telepathy-spec 0.17.7

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,10 @@
 CANONXML = xmllint --nsclean --noblanks --c14n --nonet
 XML_LINEBREAKS = perl -pe 's/>/>\n/g'
 DROP_NAMESPACE = perl -pe '$$hash = chr(35); s{xmlns:tp="http://telepathy\.freedesktop\.org/wiki/DbusSpec$${hash}extensions-v0"}{}g'
+RST2HTML = rst2html
 
 XMLS = $(wildcard spec/*.xml)
-INTERFACE_XMLS = $(filter spec/[CMP]%.xml,$(XMLS))
+INTERFACE_XMLS = $(filter spec/[[:upper:]]%.xml,$(XMLS))
 INTROSPECT = $(INTERFACE_XMLS:spec/%.xml=introspect/%.xml)
 ASYNC_INTROSPECT = $(INTERFACE_XMLS:spec/%.xml=introspect/async/%.xml)
 CANONICAL_NAMES = $(INTERFACE_XMLS:spec/%.xml=tmp/%.name)
@@ -25,7 +26,12 @@
 	test/output/spec.html \
 	$(TEST_INTROSPECT) $(TEST_ASYNC_INTROSPECT)
 
+doc/request.html doc/dispatch.html: %.html: %.txt
+	$(RST2HTML) < $< > $@
+
 GENERATED_FILES = \
+	doc/request.html \
+	doc/dispatch.html \
 	doc/spec.html \
 	doc/telepathy-spec.devhelp2 \
 	$(INTROSPECT) $(ASYNC_INTROSPECT) \
@@ -76,6 +82,7 @@
 	rm -rf tmp
 
 maintainer-upload-snapshot: doc/spec.html
+	@install -d tmp
 	cp doc/spec.html tmp/spec.html
 	sed -i~ -e 's,\(<h2>Version [0-9][0-9.]*\)\(</h2>\),\1 (darcs snapshot '`date +%Y%m%d`')\2,' \
 		tmp/spec.html
@@ -83,6 +90,7 @@
 		telepathy.freedesktop.org:/srv/telepathy.freedesktop.org/www/spec-snapshot.html
 
 dist:
+	@install -d tmp
 	set -e ;\
 	version="`sed -ne s'!<tp:version>\(.*\)</tp:version>!\1!p' spec/all.xml`";\
 	distname="telepathy-spec-$$version";\
