## telepathy-spec 0.17.9

=== Makefile ===
--- 
+++ 
@@ -89,6 +89,22 @@
 	scp tmp/spec.html \
 		telepathy.freedesktop.org:/srv/telepathy.freedesktop.org/www/spec-snapshot.html
 
+maintainer-upload-release: doc/spec.html
+	@install -d tmp
+	set -e ; \
+	version="`sed -ne s'!<tp:version>\(.*\)</tp:version>!\1!p' spec/all.xml`";\
+	if ! echo $$version | egrep '[0-9]+\.[0-9]+\.[0-9]+'; then \
+		echo 'This does not look like a spec release'; \
+		exit 1; \
+	fi; \
+	test -f telepathy-spec-$$version.tar.gz; \
+	test -f telepathy-spec-$$version.tar.gz.asc; \
+	gpg --verify telepathy-spec-$$version.tar.gz.asc; \
+	rsync -vzP telepathy-spec-$$version.tar.gz telepathy.freedesktop.org:/srv/telepathy.freedesktop.org/www/releases/telepathy-spec/ ; \
+	rsync -vzP telepathy-spec-$$version.tar.gz.asc telepathy.freedesktop.org:/srv/telepathy.freedesktop.org/www/releases/telepathy-spec/ ; \
+	rsync -vzP doc/spec.html telepathy.freedesktop.org:/srv/telepathy.freedesktop.org/www/spec-snapshot.html ; \
+	rsync -vzP doc/spec.html telepathy.freedesktop.org:/srv/telepathy.freedesktop.org/www/spec.html
+
 dist:
 	@install -d tmp
 	set -e ;\
@@ -103,3 +119,11 @@
 	mv tmp/"$$distname".tar.gz .;\
 	rm -rf tmp/"$$distname";\
 	rm -f dist.tar.gz
+
+BRANCH = misc
+UPLOAD_BRANCH_TO = people.freedesktop.org:public_html/telepathy-spec
+
+# Usage: make upload-branch BRANCH=discussion
+upload-branch: all
+	rsync -zvP doc/spec.html $(patsubst %.txt,%.html,$(RST)) \
+		$(UPLOAD_BRANCH_TO)-$(BRANCH)/
