## telepathy-spec 0.19.10

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,6 @@
 TEMPLATES = $(wildcard doc/templates/*)
 INTERFACE_XMLS = $(filter spec/[[:upper:]]%.xml,$(XMLS))
 INTROSPECT = $(INTERFACE_XMLS:spec/%.xml=introspect/%.xml)
-ASYNC_INTROSPECT = $(INTERFACE_XMLS:spec/%.xml=introspect/async/%.xml)
 CANONICAL_NAMES = $(INTERFACE_XMLS:spec/%.xml=tmp/%.name)
 
 $(CANONICAL_NAMES): tmp/%.name: spec/%.xml tools/extract-nodename.py
@@ -27,8 +26,7 @@
 TEST_XMLS = $(wildcard test/input/*.xml)
 TEST_INTERFACE_XMLS = test/input/_Test.xml
 TEST_INTROSPECT = test/output/_Test.introspect.xml
-TEST_GENERATED_FILES = \
-	$(TEST_INTROSPECT) $(TEST_ASYNC_INTROSPECT)
+TEST_GENERATED_FILES = $(TEST_INTROSPECT)
 
 RST = \
     doc/cmcaps.txt \
@@ -44,16 +42,12 @@
 	$(patsubst %.txt,%.html,$(RST)) \
 	doc/spec.html \
 	doc/spec/index.html \
-	doc/telepathy-spec.devhelp2 \
-	$(INTROSPECT) $(ASYNC_INTROSPECT) \
+	FIXME.out \
+	$(INTROSPECT) \
 	$(CANONICAL_NAMES)
 
 doc/spec.html: doc/templates/oldspec.html
 	cp $< $@
-doc/telepathy-spec.devhelp2: $(XMLS) tools/devhelp.xsl
-	@install -d tmp/doc
-	$(XSLTPROC) tools/devhelp.xsl spec/all.xml > tmp/$@
-	mv tmp/$@ $@
 
 doc/spec/index.html: $(XMLS) tools/doc-generator.py tools/specparser.py $(TEMPLATES)
 	@install -d doc
@@ -67,13 +61,6 @@
 	@install -d test/output
 	$(XSLTPROC) tools/spec-to-introspect.xsl $< | $(DROP_NAMESPACE) > $@
 
-$(ASYNC_INTROSPECT): introspect/async/%.xml: introspect/%.xml tools/make_all_async.py
-	@install -d introspect/async
-	python tools/make_all_async.py $< $@
-$(TEST_ASYNC_INTROSPECT): $(TEST_INTROSPECT) tools/make_all_async.py
-	@install -d test/output
-	python tools/make_all_async.py $< $@
-
 all: $(GENERATED_FILES)
 	@echo "Your spec HTML starts at:"
 	@echo
@@ -85,10 +72,28 @@
 test/output/introspect.canon: test/output/_Test.introspect.xml
 	$(CANONXML) $< | $(XML_LINEBREAKS) > $@
 
-check: all $(TEST_GENERATED_FILES) $(TEST_CANONICALIZED_FILES)
+CHECK_FOR_UNRELEASED = NEWS $(filter-out spec/template.xml,$(XMLS))
+
+check: all $(TEST_GENERATED_FILES) $(TEST_CANONICALIZED_FILES) FIXME.out
 	@e=0; \
 	diff -u test/expected/introspect.canon test/output/introspect.canon || e=1; \
 	exit $$e
+	@version="`sed -ne s'!<tp:version>\(.*\)</tp:version>!\1!p' spec/all.xml`";\
+	case "$$version" in \
+		*.*.*.*) ;; \
+		*) \
+			if grep -r UNRELEASED $(CHECK_FOR_UNRELEASED); \
+			then \
+				echo "^^^ This is meant to be a release, but some files say UNRELEASED" >&2; \
+				exit 2; \
+			fi \
+			;; \
+	esac
+
+FIXME.out: $(XMLS)
+	@echo '  GEN   ' $@
+	@egrep -A 5 '[F]IXME|[T]ODO|[X]XX' $(XMLS) \
+		> FIXME.out || true
 
 clean:
 	rm -f $(GENERATED_FILES)
@@ -98,9 +103,11 @@
 
 maintainer-upload-snapshot: doc/spec/index.html
 	@install -d tmp
-	rsync -rvzP doc/spec/ telepathy.freedesktop.org:/srv/telepathy.freedesktop.org/www/spec-snapshot/
+	rsync -rvzPp --chmod=Dg+s,ug+rwX,o=rX doc/spec/ telepathy.freedesktop.org:/srv/telepathy.freedesktop.org/www/spec-snapshot/
+	@echo The snapshot lives at:
+	@echo '  ' http://telepathy.freedesktop.org/spec-snapshot/
 
-maintainer-upload-release: doc/spec/index.html
+maintainer-upload-release: doc/spec/index.html check
 	@install -d tmp
 	set -e ; \
 	version="`sed -ne s'!<tp:version>\(.*\)</tp:version>!\1!p' spec/all.xml`";\
@@ -113,10 +120,10 @@
 	gpg --verify telepathy-spec-$$version.tar.gz.asc; \
 	rsync -vzP telepathy-spec-$$version.tar.gz telepathy.freedesktop.org:/srv/telepathy.freedesktop.org/www/releases/telepathy-spec/ ; \
 	rsync -vzP telepathy-spec-$$version.tar.gz.asc telepathy.freedesktop.org:/srv/telepathy.freedesktop.org/www/releases/telepathy-spec/ ; \
-	rsync -rvzP doc/spec/ telepathy.freedesktop.org:/srv/telepathy.freedesktop.org/www/spec/ ; \
-	rsync -rvzP doc/spec/ telepathy.freedesktop.org:/srv/telepathy.freedesktop.org/www/spec-snapshot/
+	rsync -rvzPp --chmod=Dg+s,ug+rwX,o=rX doc/spec/ telepathy.freedesktop.org:/srv/telepathy.freedesktop.org/www/spec/ ; \
+	rsync -rvzPp --chmod=Dg+s,ug+rwX,o=rX doc/spec/ telepathy.freedesktop.org:/srv/telepathy.freedesktop.org/www/spec-snapshot/
 
-dist:
+dist: check
 	@install -d tmp
 	set -e ;\
 	version="`sed -ne s'!<tp:version>\(.*\)</tp:version>!\1!p' spec/all.xml`";\
