=== debian/changelog ===
telepathy-spec (0.19.10-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.1 (no changes)

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Jul 2010 12:20:01 +0100

telepathy-spec (0.19.8-1) unstable; urgency=low

  * New upstream version
  * Simplify debian/rules using override_dh_foo
  * Stop installing the HTML twice; make the version in /usr/share/doc
    a symlink into /usr/share/gtk-doc/html instead
  * Recommend libjs-jquery, to have collapsible rationales without shipping
    a duplicate copy in telepathy-specification; if you don't install it,
    jquery.min.js will be a dangling symlink and rationale sections will
    always be shown
  * Standards-Version: 3.9.0 (no changes)

 -- Simon McVittie <smcv@debian.org>  Thu, 01 Jul 2010 14:49:42 +0100

telepathy-spec (0.19.7-1) unstable; urgency=low

  * New upstream version

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Jun 2010 14:00:21 +0100

telepathy-spec (0.19.6-1) unstable; urgency=low

  * New upstream version

 -- Simon McVittie <smcv@debian.org>  Mon, 31 May 2010 17:09:05 +0100

telepathy-spec (0.19.5-1) unstable; urgency=low

  * New upstream version(s)
  * Use machine-readable copyright format
  * Relicense packaging to be the same as the spec (with bigon's permission)
  * Use source format 3.0
  * clean: clean up more files, fixing repeated builds

 -- Simon McVittie <smcv@debian.org>  Fri, 16 Apr 2010 14:51:36 +0100

telepathy-spec (0.19.1-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.4 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Wed, 24 Feb 2010 15:16:55 +0000

telepathy-spec (0.19.0-1) unstable; urgency=low

  * New upstream version

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Dec 2009 18:31:22 +0000

telepathy-spec (0.18.0-1) unstable; urgency=low

  * New upstream stable version

 -- Simon McVittie <smcv@debian.org>  Thu, 24 Sep 2009 14:22:30 +0100

telepathy-spec (0.17.28-1) unstable; urgency=low

  * New upstream version

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Sep 2009 16:56:09 +0100

telepathy-spec (0.17.27-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.3, no changes needed

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Aug 2009 16:18:08 +0100

telepathy-spec (0.17.25-1) unstable; urgency=low

  * New upstream version

 -- Simon McVittie <smcv@debian.org>  Wed, 27 May 2009 18:44:01 +0100

telepathy-spec (0.17.23-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * New upstream version
  * Add python-cheetah build-dep 

  [ Jonny Lamb ]
  * New upstream release.
  * debian/control:
    + Added myself to Uploaders.
    + Removed XS-Dm-Upload-Allowed field.
  * debian/copyright: Updated years and links to copyright files in
    common-licenses.
  * debian/gbp.conf: Removed no-create-orig line.
  * debian/install: Install new and old-style spec formats.
  * debian/doc-base: Updated references to documentation.

 -- Jonny Lamb <jonny@debian.org>  Tue, 21 Apr 2009 20:22:06 +0100

telepathy-spec (0.17.21-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Mar 2009 19:25:32 +0000

telepathy-spec (0.17.19-1) unstable; urgency=low

  * New upstream version

 -- Simon McVittie <smcv@debian.org>  Wed, 28 Jan 2009 15:48:23 +0000

telepathy-spec (0.17.18-1) unstable; urgency=low

  * New upstream version
  * debian/gbp.conf: use pristine-tar automatically

 -- Simon McVittie <smcv@debian.org>  Tue, 20 Jan 2009 12:17:14 +0000

telepathy-spec (0.17.17-1) unstable; urgency=low

  * New upstream version
  * lintian: remove duplication of Section between source and binary control
    stanzas

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Jan 2009 20:20:25 +0000

telepathy-spec (0.17.16-1) unstable; urgency=low

  * New upstream release
  * Switch packaging to git
  * Standards-Version: 3.8.0 (no changes)

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Dec 2008 01:10:33 +0000

telepathy-spec (0.17.15-1) unstable; urgency=low

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Fri, 21 Nov 2008 17:17:32 +0000

telepathy-spec (0.17.14-1) unstable; urgency=low

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Oct 2008 17:36:52 +0000

telepathy-spec (0.17.13-1) unstable; urgency=low

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Oct 2008 17:35:10 +0100

telepathy-spec (0.17.12-1) unstable; urgency=low

  [ Simon McVittie ]
  * New upstream release

  [ Laurent Bigonville ]
  * Use my debian.org address in Uploaders

 -- Simon McVittie <smcv@debian.org>  Fri, 26 Sep 2008 16:22:19 +0100

telepathy-spec (0.17.11-1) unstable; urgency=low

  * New upstream release
  * Install the spec XML itself, to /usr/share/doc/telepathy-specification/spec

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Sep 2008 17:12:27 +0100

telepathy-spec (0.17.10-1) unstable; urgency=low

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Sep 2008 16:18:16 +0100

telepathy-spec (0.17.9-1) unstable; urgency=low

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Aug 2008 16:28:01 +0100

telepathy-spec (0.17.8-1) unstable; urgency=low

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 23 Jul 2008 20:39:49 +0100

telepathy-spec (0.17.7-1) unstable; urgency=low

  * New upstream release
    - build now requires python-docutils

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Jun 2008 17:26:42 +0100

telepathy-spec (0.17.6-1) unstable; urgency=low

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 26 May 2008 18:36:07 +0100

telepathy-spec (0.17.5-1) unstable; urgency=low

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 21 May 2008 16:35:13 +0100

telepathy-spec (0.17.4-1) unstable; urgency=low

  * New upstream release
  * Use my debian.org address in Uploaders
  * Update years in debian/copyright

