=== debian/control ===
Source: telepathy-spec
Section: doc
Priority: optional
Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>,
           Simon McVittie <smcv@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>,
           Jonny Lamb <jonny@debian.org>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: xsltproc,
                     python (>= 2.5) | python-elementtree,
                     python-docutils,
                     python-cheetah
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-telepathy/telepathy-spec.git
Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/telepathy-spec.git
Homepage: http://telepathy.freedesktop.org/wiki/

Package: telepathy-specification
Architecture: all
Depends: ${misc:Depends}
Recommends: libjs-jquery
Suggests: doc-base
Enhances: libtelepathy-dev, libtelepathy-glib-doc
Description: Telepathy D-Bus specification
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.
 .
 The specification can be browsed with the devhelp documentation
 browser, or with a regular web browser.
