=== debian/watch ===
version=3
http://telepathy.freedesktop.org/releases/telepathy-spec/telepathy-spec-(.*).tar.gz
