## telepathy-spec 0.20.0

=== debian/changelog ===
telepathy-spec (0.20.0-1) unstable; urgency=low

  * New upstream version

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Sep 2010 18:59:44 +0100

telepathy-spec (0.19.11-1) unstable; urgency=low

  * New upstream version

 -- Simon McVittie <smcv@debian.org>  Mon, 09 Aug 2010 18:10:33 +0100
