## telepathy-spec 0.21.4

=== debian/changelog ===
telepathy-spec (0.21.4-1) unstable; urgency=low

  * New upstream version

 -- Simon McVittie <smcv@debian.org>  Wed, 03 Nov 2010 15:58:06 +0000

telepathy-spec (0.21.2-1) unstable; urgency=low

  * New upstream version
  * Remove dead symlink to single-file spec (Closes: #598642)

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Oct 2010 15:57:56 +0100
