## telepathy-spec 0.21.5

=== debian/changelog ===
telepathy-spec (0.21.5-1) unstable; urgency=low

  * New upstream version
    - drop dispatch.html, request.html and docutils dependency: removed
      upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 25 Nov 2010 16:45:27 +0000
