=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
 Build-Depends: debhelper (>= 7.0.50)
 Build-Depends-Indep: xsltproc,
                      python (>= 2.5) | python-elementtree,
-                     python-docutils,
                      python-cheetah
 Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/pkg-telepathy/telepathy-spec.git
