## telepathy-spec 0.21.6

=== debian/changelog ===
telepathy-spec (0.21.6-1) unstable; urgency=low

  * New upstream version

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Dec 2010 18:38:43 +0000
