## telepathy-spec 0.21.8

=== debian/changelog ===
telepathy-spec (0.21.8-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Add myself to Uploaders.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 27 Dec 2010 02:30:35 +0000

telepathy-spec (0.21.7-1) unstable; urgency=low

  * New upstream version

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Dec 2010 16:46:52 +0000
