=== debian/changelog ===
telepathy-spec (0.21.11-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 05 Mar 2011 15:22:10 +0000
