=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Simon McVittie <smcv@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
-           Jonny Lamb <jonny@debian.org>
+           Jonny Lamb <jonny@debian.org>,
+           Emilio Pozuelo Monfort <pochu@debian.org>
 Build-Depends: debhelper (>= 7.0.50)
 Build-Depends-Indep: xsltproc,
                      python (>= 2.5) | python-elementtree,
