## telepathy-spec 0.23.3

=== debian/changelog ===
telepathy-spec (0.23.3-1) unstable; urgency=low

  * New upstream release.

 -- Jonny Lamb <jonny@debian.org>  Mon, 25 Jul 2011 14:56:15 +0100

telepathy-spec (0.23.2-1) unstable; urgency=low

  * New upstream release.

 -- Jonny Lamb <jonny@debian.org>  Tue, 17 May 2011 08:12:42 +0100

telepathy-spec (0.23.1-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 14 May 2011 16:17:47 +0100
