## telepathy-spec 0.24.0

=== debian/changelog ===
telepathy-spec (0.24.0-1) unstable; urgency=low

  * New upstream release.

 -- Jonny Lamb <jonny@debian.org>  Wed, 19 Oct 2011 10:40:26 +0100

telepathy-spec (0.23.4-1) unstable; urgency=low

  * New ustream release.

 -- Jonny Lamb <jonny@debian.org>  Wed, 05 Oct 2011 11:22:31 +0100
