## telepathy-spec 0.25.0

=== debian/changelog ===
telepathy-spec (0.25.0-1) unstable; urgency=low

  * New upstream release.

 -- Jonny Lamb <jonny@debian.org>  Fri, 11 Nov 2011 16:43:44 +0000
