## telepathy-spec 0.26.0

=== debian/changelog ===
telepathy-spec (0.26.0-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.9.3 (no changes)

 -- Simon McVittie <smcv@debian.org>  Fri, 13 Apr 2012 15:55:35 +0100

telepathy-spec (0.25.2-1) unstable; urgency=low

  * New upstream release.

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Feb 2012 16:41:37 +0000
