=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends-Indep: xsltproc,
                      python (>= 2.5) | python-elementtree,
                      python-cheetah
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-telepathy/telepathy-spec.git
 Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/telepathy-spec.git
 Homepage: http://telepathy.freedesktop.org/wiki/
