=== debian/changelog ===
telepathy-spec (0.27.1-1) unstable; urgency=low

  * New upstream release
  * Canonicalize Vcs-*
  * Standards-Version: 3.9.4, no changes needed

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Sep 2013 16:39:42 +0100
