=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 Build-Depends-Indep: xsltproc,
                      python (>= 2.5) | python-elementtree,
                      python-cheetah
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-telepathy/telepathy-spec.git
-Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/telepathy-spec.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-telepathy/telepathy-spec.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-telepathy/telepathy-spec.git
 Homepage: http://telepathy.freedesktop.org/wiki/
 
 Package: telepathy-specification
