## telepathy-spec 0.27.3

=== debian/changelog ===
telepathy-spec (0.27.3-1) unstable; urgency=medium

  * debian/watch: don't watch for versions 0.99.x, which are snapshots of
    telepathy-spec 1.0 and should be packaged separately
  * New upstream release
  * Standards-Version: 3.9.5, no changes needed

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Sep 2014 14:55:01 +0100
