=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends-Indep: xsltproc,
                      python (>= 2.5) | python-elementtree,
                      python-cheetah
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-telepathy/telepathy-spec.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-telepathy/telepathy-spec.git
 Homepage: http://telepathy.freedesktop.org/wiki/
