=== debian/watch ===
version=3
http://telepathy.freedesktop.org/releases/telepathy-spec/telepathy-spec-(0\.[0-8].*).tar.gz
