=== debian/changelog ===
telepathy-spec (0.27.4-1) unstable; urgency=medium

  [ Simon McVittie ]
  * Remove myself from Uploaders

  [ Jonny Lamb ]
  * Remove myself from Uploaders.

  [ Laurent Bigonville ]
  * New upstream release
    - Switch build-dependencies to python3, also switch from cheetah to jinja2
      (Closes: #939482)
  * Bump debhelper compatibility to 12
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * debian/control, debian/watch: Use https://
  * debian/control: Update the Vcs-* fields, git repository has moved to salsa
    (Closes: #907462)
  * debian/telepathy-specification.links: Fix broken symlink (Closes: #924222)
  * debian/doc-base: Fix the paths to please lintian
  * Add gpg verification of the upstream tarball

 -- Laurent Bigonville <bigon@debian.org>  Mon, 30 Dec 2019 12:48:21 +0100
