=== debian/control ===
--- 
+++ 
@@ -3,18 +3,16 @@
 Priority: optional
 Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
-           Simon McVittie <smcv@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
-           Jonny Lamb <jonny@debian.org>,
            Emilio Pozuelo Monfort <pochu@debian.org>
-Build-Depends: debhelper (>= 7.0.50)
+Build-Depends: debhelper (>= 12)
 Build-Depends-Indep: xsltproc,
-                     python (>= 2.5) | python-elementtree,
-                     python-cheetah
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-telepathy/telepathy-spec.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-telepathy/telepathy-spec.git
-Homepage: http://telepathy.freedesktop.org/wiki/
+                     python3,
+                     python3-jinja2
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/telepathy-team/telepathy-spec.git
+Vcs-Browser: https://salsa.debian.org/telepathy-team/telepathy-spec/
+Homepage: https://telepathy.freedesktop.org/wiki/
 
 Package: telepathy-specification
 Architecture: all
