=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	# skip "make check", it's not actually very useful in this package

override_dh_compress:
	dh_compress -X.xml

spec=debian/telepathy-specification/usr/share/gtk-doc/html/telepathy-spec

override_dh_link:
	rm $(spec)/jquery.min.js
	dh_link
