=== debian/watch ===
version=4
opts=pgpmode=auto \
https://telepathy.freedesktop.org/releases/telepathy-spec/telepathy-spec-(0\.[0-8].*).tar.gz
